<template>
  <div>
    <div
      v-if="categoryContentChoice === 'overview'"
      class="columns">
      <div class="column is-6-tablet is-12-mobile">
        <p class="is-text has-dimmed-white-text">
          {{ content.overview }}
        </p>
      </div>
      <div class="column is-6-tablet is-12-mobile">
        <img v-bind:src="photo.overview">
      </div>
    </div>
    <div
      v-if="categoryContentChoice === 'exterior'"
      class="columns">
      <div class="column is-6-tablet is-12-mobile">
        <p class="is-text has-dimmed-white-text">
          {{ content.exterior }}
        </p>
      </div>
      <div class="column is-6-tablet is-12-mobile">
        <img v-bind:src="photo.exterior">
      </div>
    </div>
    <div
      v-if="categoryContentChoice === 'interior'"
      class="columns">
      <div class="column is-6-tablet is-12-mobile">
        <p class="is-text has-dimmed-white-text">
          {{ content.interior }}
        </p>
      </div>
      <div class="column is-6-tablet is-12-mobile">
        <img v-bind:src="photo.interior">
      </div>
    </div>
  </div>
</template>

<script>
/* eslint-disable global-require */
export default {
  name: 'CategoryContent',
  props: ['categoryContentChoice'],
  data() {
    return {
      content: {
        overview: 'Overview. The Audi A5 is a series of executive coupe cars produced by the German automobile manufacturer Audi since March 2007. The A5 range additionally comprises the coupe, cabriolet, and "Sportback" (a four door features a fastback like roofline with a steeply raked rear window with integrated trunk lid) version of the Audi A4 saloon and estate models.\n' +
          '\n' +
          'Under Audi\'s internal platform numbering convention, the A5 is a member of the B-platform series of vehicles, sharing its platform designation with the A4 saloon and Avant. The first generation A5 (Type 8T) is therefore a member of the B8 family, whilst the second generation model (Type F5) is based on the B9.[2] Both are derived from the Volkswagen MLB (Modular Longitudinal Matrix) architecture.',
        exterior: 'Exterior. The facelift vehicles, covering A5 Coupé, Convertible, Sportback, S and RS models, include updated front and rear lights, as well as a new front bumper design. The new front end includes pronounced air inlets, revamped grilles and flat fog lights. The vehicle is 10 millimetres (0.39 in) longer overall than the predecessor.\n' +
          '\n' +
          'Changes to S5 (available as Sportback, Coupé and Cabriolet) include the 3.0 TFSI (333PS) engines on all models, new lights, modified body details, new crystal effect paint finishes, quattro drive with the crown-gear center differential, electromechanical power steering. special S sport suspension, standard 18 inch wheels.',
        interior: 'Interior. That depends. The frameless driver’s door undoubtedly gives the Sportback an inviting initial feel.\n' +
          '\n' +
          'Larger drivers may notice that a lower roof and smaller door aperture make entry a little tighter than it would be with an A4, but once you’re in, there’s enough leg, head and shoulder room for almost anyone.\n' +
          '\n' +
          'It still can’t be said that second-row occupants get quite the space they ought to have, though, even allowing for a little bit of practicality sacrificed on the altar of style.',
      },
      photo: {
        overview: require('../assets/a5-coupe/front.jpg'),
        exterior: require('../assets/a5-coupe/side-back.jpg'),
        interior: require('../assets/a5-coupe/interior.jpg'),
      },
    };
  },
};
</script>

<style scoped>

</style>
